com.sun.grid.jgdi.event

## Class EventFactoryBase

- java.lang.Object
- - com.sun.grid.jgdi.event.EventFactoryBase

- Direct Known Subclasses:
    EventFactory

      public class EventFactoryBase
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventFactoryBase()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JobFinalUsageEvent` | `createJobFinalUsageEvent(long timestamp, int id)`
    `static JobFinishEvent` | `createJobFinishEvent(long timestamp, int id)`
    `static JobPriorityModEvent` | `createJobPriorityModEvent(long timestamp, int id)`
    `static JobUsageEvent` | `createJobUsageEvent(long timestamp, int id)`
    `static QmasterGoesDownEvent` | `createQmasterGoesDownEvent(long timestamp, int id)`
    `static QueueInstanceSuspendEvent` | `createQueueInstanceSuspendEvent(long timestamp, int id)`
    `static QueueInstanceUnsuspendEvent` | `createQueueInstanceUnsuspendEvent(long timestamp, int id)`
    `static SchedulerRunEvent` | `createSchedulerRunEvent(long timestamp, int id)`
    `static ShutdownEvent` | `createShutdownEvent(long timestamp, int id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventFactoryBase

          public EventFactoryBase()

  - ### Method Detail

    - #### createQmasterGoesDownEvent

          public static QmasterGoesDownEvent createQmasterGoesDownEvent(long timestamp,
                                                                        int id)

    - #### createShutdownEvent

          public static ShutdownEvent createShutdownEvent(long timestamp,
                                                          int id)

    - #### createSchedulerRunEvent

          public static SchedulerRunEvent createSchedulerRunEvent(long timestamp,
                                                                  int id)

    - #### createJobFinishEvent

          public static JobFinishEvent createJobFinishEvent(long timestamp,
                                                            int id)

    - #### createJobUsageEvent

          public static JobUsageEvent createJobUsageEvent(long timestamp,
                                                          int id)

    - #### createJobFinalUsageEvent

          public static JobFinalUsageEvent createJobFinalUsageEvent(long timestamp,
                                                                    int id)

    - #### createQueueInstanceSuspendEvent

          public static QueueInstanceSuspendEvent createQueueInstanceSuspendEvent(long timestamp,
                                                                                  int id)

    - #### createQueueInstanceUnsuspendEvent

          public static QueueInstanceUnsuspendEvent createQueueInstanceUnsuspendEvent(long timestamp,
                                                                                      int id)

    - #### createJobPriorityModEvent

          public static JobPriorityModEvent createJobPriorityModEvent(long timestamp,
                                                                      int id)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.